Developers
API ReferenceCurrency Dictionary

Updates the CurrencyDictionary resource.

PATCH
/finance/currency-dictionaries/{id}

Updates the CurrencyDictionary resource.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

CurrencyDictionary identifier

Request Body

The updated CurrencyDictionary resource

  1. body
name?string
Length3 <= length <= 100
code?string
Length3 <= length <= 3
isDefault?number
Formatfloat

Response Body

CurrencyDictionary resource updated

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
code?string
Length3 <= length <= 3
isDefault?bool
Defaultfalse
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/finance/currency-dictionaries/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "code": "str",  "isDefault": false}